/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui;

import java.awt.event.MouseEvent;
/**
 * 
 * @author Thomas Abeel
 *
 */
public class Mouse {
	public static boolean modifier(MouseEvent e) {
		return e.isAltDown() || e.isShiftDown() || e.isControlDown();
	}

	public static  boolean button1(MouseEvent e) {
		return e.getButton() == MouseEvent.BUTTON1;
	}

	public static  boolean button2(MouseEvent e) {
		return e.getButton() == MouseEvent.BUTTON2;
	}

	public static  boolean button3(MouseEvent e) {
		return e.getButton() == MouseEvent.BUTTON3;
	}
}
